Bug 813079 - rsyslog segfaults attempting to read a malformed / old format spool file
rsyslog segfaults attempting to read a malformed / old format spool file
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rsyslog (Show other bugs)
6.2
Unspecified Unspecified
unspecified Severity high
: rc
: 6.3
Assigned To: Tomas Heinrich
Dalibor Pospíšil
:
Depends On:
Blocks: 805204
  Show dependency treegraph
 
Reported: 2012-04-16 16:11 EDT by Tomas Heinrich
Modified: 2012-06-20 02:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When the daemon was supplied with malformed spool files, the related data were incorrectly deinitialized. Because of the handling of the data, the daemon sometimes aborted. The code was modified to properly deinitialize the data. The daemon doesn't abort.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 02:59:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
malformed spool file (47 bytes, text/plain)
2012-04-16 16:15 EDT, Tomas Heinrich
no flags Details

  None (edit)
Description Tomas Heinrich 2012-04-16 16:11:45 EDT
Version-Release number of selected component (if applicable):
rsyslog 5.8.7 and older.

Steps to Reproduce:
/tmp/rsyslog.conf:
  $workdirectory /tmp
  $actionqueuetype disk
  $actionqueuefilename malformed-qfile
  *.* /tmp/all.log
Put the attached 'malformed-qfile.qi' into /tmp.
Run
$ /sbin/rsyslogd -c 5 -dnf /tmp/rsyslog.conf

<...>
Aborted (core dumped)

Additional info:
Will be fixed by a rebase to upstream version 5.8.10.
Comment 1 Tomas Heinrich 2012-04-16 16:15:06 EDT
Created attachment 577828 [details]
malformed spool file
Comment 5 Tomas Heinrich 2012-05-03 13:27:53 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When the daemon was supplied with malformed spool files, the related data were incorrectly deinitialized.
Because of the handling of the data, the daemon sometimes aborted.
The code was modified to properly deinitialize the data.
The daemon doesn't abort.
Comment 8 errata-xmlrpc 2012-06-20 02:59:04 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0796.html

Note You need to log in before you can comment on or make changes to this bug.